Update always fails

I’m using Postman for Linux, Version 7.13.0, linux 5.0.0-37-generic / x64 on Linux Mint. All works well except settings tells me there is an update available to 7.14.0. When I hit Update, it just fails.

Any advice on getting this to work would be appreciated.

TIA

//Craig

Hey @Craig100, :wave:

The quickest way would be to download the latest version from here: https://www.getpostman.com/downloads/ and install it.

I remember seeing something similar reported here: https://github.com/postmanlabs/postman-app-support/issues - but was unable to find it yet.

Also, would be worth to take a full backup of your collections before updating manually, as described here: https://learning.getpostman.com/docs/postman/collections/data-formats/#data-dumps :+1:

Thanks @amit I downloaded as you suggested and it’s all working now. Turns out I had the Flatpack version installed from the Mint repo. Of course that just gets stuck at whatever version they have. Would be nice if they kept it up to date. Anyway, re-installing wasn’t straightforward, it was quite messy. it only runs as an external app, not properly installed so have to start it from an ugly desktop link icon. But at least I have it working now.

Thanks.

// Craig